Bug 735994 - OpenId Security vulnerability in Spring Security 2.0.6.RELEASE
Summary: OpenId Security vulnerability in Spring Security 2.0.6.RELEASE
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: JBoss Enterprise WFK Platform 1
Classification: JBoss
Component: Spring
Version: 1.2.0.GA
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Rebecca Newton
QA Contact: Karel Piwko
URL:
Whiteboard:
Depends On:
Blocks: 801304
TreeView+ depends on / blocked
 
Reported: 2011-09-06 11:37 UTC by Karel Piwko
Modified: 2012-07-30 05:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 801304 (view as bug list)
Environment:
Last Closed: 2012-07-30 05:53:04 UTC
Type: ---


Attachments (Terms of Use)

Description Karel Piwko 2011-09-06 11:37:45 UTC
Description of problem:

Spring Security OpenID support contains a security bug.


Version-Release number of selected component (if applicable):

Spring Security 2.0.6.RELEASE

How reproducible:

Always

Steps to Reproduce:
1. Secure your application via 

<dependency>
  <groupId>org.springframework.security</groupId>
  <artifactId>spring-security-openid</artifactId>
  <version>2.0.6.RELEASE</version>
</dependency>
  
Actual results:

Underlying openid4java (0.9.3) contains a security bug, as reported in 
http://openid.net/2011/05/05/attribute-exchange-security-alert/

Additional info:

Following artifact has fixed security bug, use it instead of dependency defined by Spring Security module. Multiple dependency modifications might be required.

<dependency>
  <groupId>org.openid4java</groupId>
  <artifactId>openid4java</artifactId>
  <version>0.9.6</version>
</dependency>

Comment 1 Marius Bogoevici 2012-03-07 20:33:18 UTC
Needs release note

Comment 3 Marius Bogoevici 2012-04-05 02:32:57 UTC
Bec, this may be a duplicate - can you check?

Comment 6 David Jorm 2012-07-30 05:53:04 UTC
WFK 1.2 is no longer supported, closing this bug.


Note You need to log in before you can comment on or make changes to this bug.